Description: <short summary of the patch>
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 fricas (1.3.7-5) unstable; urgency=medium
 .
   * autoupdate
   * dh_autoreconf
Author: Camm Maguire <camm@debian.org>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: 2022-01-26

Index: fricas-1.3.8/configure.ac
===================================================================
--- fricas-1.3.8.orig/configure.ac
+++ fricas-1.3.8/configure.ac
@@ -24,7 +24,7 @@ AC_DEFUN([FRICAS_CHECK_PROG],
 fricas_src_subdirs="lib lisp boot interp algebra input etc"
 AC_SUBST(fricas_src_subdirs)
 
-AC_CANONICAL_SYSTEM
+AC_CANONICAL_TARGET
 
 case $build in
   *mingw*|*msys*)
@@ -561,36 +561,32 @@ case $host in
         ;;
 esac
 
-AC_TRY_COMPILE([
+AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
 #include <sys/socket.h>
-   ], [
+   ]], [[
 int flag = MSG_NOSIGNAL;
-   ],
-   [AC_DEFINE([HAVE_MSG_NOSIGNAL], [1], [Host has MSG_NOSIGNAL])],[])
+   ]])],[AC_DEFINE([HAVE_MSG_NOSIGNAL], [1], [Host has MSG_NOSIGNAL])],[])
 
-AC_TRY_COMPILE([
+AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
 #include <sys/types.h>
 #include <sys/socket.h>
-   ], [
+   ]], [[
 int flag = SO_NOSIGPIPE;
-   ],
-   [AC_DEFINE([HAVE_SO_NOSIGPIPE], [1], [Host has SO_NOSIGPIPE])],[])
+   ]])],[AC_DEFINE([HAVE_SO_NOSIGPIPE], [1], [Host has SO_NOSIGPIPE])],[])
 
-AC_TRY_COMPILE([
+AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
 #include <errno.h>
 #include <sys/socket.h>
-   ], [
+   ]], [[
 int code = EPIPE;
-   ],
-   [AC_DEFINE([HAVE_EPIPE], [1], [Host has EPIPE])],[])
+   ]])],[AC_DEFINE([HAVE_EPIPE], [1], [Host has EPIPE])],[])
 
-AC_TRY_COMPILE([
+AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
 #include <sys/stat.h>
 #include <sys/types.h>
-   ], [
+   ]], [[
 int code = mkdir ("./foo", (S_IRWXU | S_IRWXO | S_IRWXG));
-   ],
-   [AC_DEFINE([HAVE_TWO_ARG_MKDIR], [1], [Host has two arg mkdir])], [])
+   ]])],[AC_DEFINE([HAVE_TWO_ARG_MKDIR], [1], [Host has two arg mkdir])],[])
 
 if test x$fricas_host_has_socket != xyes; then \
     AC_MSG_ERROR([FriCAS needs support for sockets.])
